### Function

# Vips allocate_input_array

#### Declaration [src]

    VipsImage**
    vips_allocate_input_array (
      VipsImage* out,
      ...
    )

#### Description [src]

Convenience function — make a `NULL`-terminated array of input images. Use with `vips_start_many()`.

See also

`vips_image_generate()`, `vips_start_many()`.

This function is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Free array when this image closes.

  The data is owned by the caller of the function.

`...`

  Type: ``

  `NULL`-terminated list of input images.

#### Return value

Type: `VipsImage`

`NULL`-terminated array of images. Do not free the result.

The data is owned by the called function.
The return value can be `NULL`.